<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

$uz=check($uz);

$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$privat=trim($udata[10]);}

if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if($udata[10]>0){
echo'<img src="../images/img/mail.gif" alt=""> <b><a href="../pages/privat.php?'.SID.'"><font color="red">Приватное сообщение! ('.$privat.')</font></a></b><br>';}}


echo '<img src="../images/img/partners.gif" alt=""> <b>Статистика вкладчиков</b><br><br>';

$file = file("../local/bank.dat");
$total = count($file);    
for ($i = 0; $i < $total; $i++){
$data = explode("|",$file[$i]);

$dat_user[]=$data[1];
$vklad_user[]=$data[2];
}

arsort($vklad_user);

foreach($vklad_user as $k=>$v){
$vklad_user2[]='|'.$dat_user[$k].'|'.$v.'|';
}

$total = count($vklad_user2);  
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + $config_vkladlist){ $end = $total; }
else {$end = $start + $config_vkladlist; }
for ($i = $start; $i < $end; $i++){

$data = explode("|",$vklad_user2[$i]);

echo ($i+1).'. <img src="../images/img/chel.gif" alt=""> ';
if($uz==$data[1]){
echo '<b><big><a href="../pages/anketa.php?uz='.$data[1].'&amp;'.SID.'"><font color="#FF0000">'.nickname($data[1]).'</font></a></big></b> - '.moneys($data[2]).'<hr>';
}else{
echo '<b><a href="../pages/anketa.php?uz='.$data[1].'&amp;'.SID.'">'.nickname($data[1]).'</a></b> - '.moneys($data[2]).'<hr>';
}
}
    
if ($start != 0) {echo '<a href="livebank.php?start='.($start - $config_vkladlist).'&amp;'.SID.'">&lt;-Назад</a>';}else{echo'&lt;-Назад';}
echo' | '; 
if ($total > $start + $config_vkladlist) {echo '<a href="livebank.php?start='.($start + $config_vkladlist).'&amp;'.SID.'">Далее</a>';}else{echo'Далее-&gt;';}
    
    
$dats = file("../local/bank.dat");   
$a=count($dats);
$ba=ceil($a/$config_vkladlist);
$ba2=$ba*$config_vkladlist-$config_vkladlist;
echo '<br><hr>Страницы:';
$asd=$start-($config_vkladlist*3);
$asd2=$start+($config_vkladlist*4);

if($asd<$a && $asd>0){echo ' <a href="livebank.php?start=0&amp;'.SID.'">1</a> ... ';}

for($i=$asd; $i<$asd2;)
{
if($i<$a && $i>=0){
$ii=floor(1+$i/$config_vkladlist);

if ($start==$i) {
echo ' <b>'.(int)$ii.'</b>';
               }
                else {
echo ' <a href="livebank.php?start='.(int)$i.'&amp;'.SID.'">'.(int)$ii.'</a>';
                     }}


$i=$i+$config_vkladlist;}
if($asd2<$a){echo ' ... <a href="livebank.php?start='.(int)$ba2.'&amp;'.SID.'">'.(int)$ba.'</a>';}    
    
    
//------------------------------------------------------//
if($uz==""){
echo '<hr><b>Поиск пользователя:</b><br>';
if($config_themes!="wml"){	
echo '<form action="livebank.php?start='.$start.'&amp;'.SID.'" method="post">';
echo'<input name="uz" value="'.$log.'" /><br>';
echo '<input type="submit" value="Искать" /></form><hr>';

}else{

echo'<input name="uz" value="'.$log.'"/><br>';
echo'<anchor>Искать';
echo'<go href="livebank.php?start='.$start.'&amp;'.SID.'" method="post">';
echo'<postfield name="uz" value="$(uz)"/>';
echo'</go></anchor><br>--------------------';
}
}else{
	

for ($i = 0; $i < $total; $i++){ 
	
$data = explode("|",$vklad_user2[$i]);	
if (trim($uz)==$data[1]){
$stranica = floor($i / $config_vkladlist) * $config_vkladlist;
$pos = $i + 1; 
echo '<hr><br><font color="#00FF00">Позиция в рейтинге: </font><b><a href="livebank.php?start='.$stranica.'&amp;uz='.$uz.'&amp;'.SID.'">'.$pos.'</a></b><br>';	
}}
if($pos==""){ echo '<hr><br><b><font color="#FF0000">Пользователь с таким логином не найден!</font></b><br>';}

echo '<br><a href="livebank.php?start='.$start.'&amp;'.SID.'">Искать еще</a><br>';
}
  
//------------------------------------------------------//
    
    
    
$data = file("../local/bank.dat");
$all_bank=count($data);
for ($p=0; $p<$all_bank; $p++) {
$dat_arr = explode("|", $data[$p]);
$summ +=$dat_arr[2]; //общая сумма   
}
echo'<br>Всего вкладчиков: <b>'.(int)$total.'</b>';
echo'<br>Капитал банка: '.moneys($summ);

echo'<br><br><img src="../images/img/many.gif" alt=""> <a href="bank.php?'.SID.'">В банк</a>';
echo'<br><img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>'; 
include_once"../themes/$config_themes/foot.php";
?>